Package com.databricks.jdbc.telemetry

## Enum DatabricksMetrics.MetricsType

- java.lang.Object
- - java.lang.Enum<DatabricksMetrics.MetricsType>
  - - com.databricks.jdbc.telemetry.DatabricksMetrics.MetricsType

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabricksMetrics.MetricsType>`

Enclosing class:
  DatabricksMetrics

    public static enum DatabricksMetrics.MetricsType
    extends Enum<DatabricksMetrics.MetricsType>

### Enum Constant Summary

Enum Constants
`COUNTER`
`GAUGE`

### Method Summary

All Methods Static Methods Concrete Methods
`static DatabricksMetrics.MetricsType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DatabricksMetrics.MetricsType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GAUGE

    public static final DatabricksMetrics.MetricsType GAUGE

#### COUNTER

    public static final DatabricksMetrics.MetricsType COUNTER

### Method Detail

#### values

    public static DatabricksMetrics.MetricsType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabricksMetrics.MetricsType c : DatabricksMetrics.MetricsType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabricksMetrics.MetricsType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null